Issue 27724

Summary: Support ad-hoc fill styles and offer comfortable shortcuts from the UI
Product: General Reporter: olo <bugs-openoffice>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: ace_dent, issues
Version: OOo 1.1Keywords: oooqa
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 105642    

Description olo 2004-04-13 10:35:44 UTC
This is a follow-up to issue 1919.

The format-area UI needs to be enhanced to support usage of ad-hoc fill styles
(that is, fill styles specific to single drawing shapes, not linked to any
presets from global palettes).

Suggested implementation:

2 new buttons in all fill style (color, hatching, gradient, bitmap) lists
(which are visible in drop-downs, list boxes, "Background Color" dockers etc.):
"Custom..." and "Modify presets...".

   * the "Custom..." button would allow to use an ad-hoc fill style
   * the "Modify presets..." button would send to the palette editing dialog.

To clarify what I'm meaning, I'll give an example.

In Writer, let's create an ellipse. Now suppose that I want to fill it with a
blue-purplish gradient (not currently available from the gradients palette).

I want to be able to do the following:

1) Select the ellipse (currently possible)
2) Open the 1st "Area Style/Filling" drop down and change from "Color" to
"Gradient" (currently possible)
3) Open the 2nd "Area Style/Filling" drop down and choose a "Custom..." item at
its bottom (currently not possible - only the predefined gradients are available)
4) In the gradient editing dialog, configure my own ad-hoc custom gradient and
click OK (currently not possible due to the previuos one)

I also want to be able to do the following (continuing after point 2 of the
previous list):

3) Open the 2nd "Area Style/Filling" drop down and choose a "Modify presets..."
item at its bottom (currently not possible - only the predefined gradients are
available)
4) In the gradient editing dialog, configure my own gradient preset, save it to
the palette, and click OK if I want to apply it to the selected shape, or press
"Close" if I only want to create a preset, but not apply it to the selected object.
Comment 1 olo 2004-04-13 10:40:47 UTC
See also a related Issue 27722.
Comment 2 thorsten.martens 2004-04-13 11:48:43 UTC
TM->BH: This is an enhancement, please have a look. Thanks !
Comment 3 ace_dent 2008-05-16 02:08:35 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 ace_dent 2009-10-14 15:18:17 UTC
*** Issue 1919 has been marked as a duplicate of this issue. ***
Comment 5 ace_dent 2009-10-14 15:22:42 UTC
To manage the many suggestions for enhancing the color palette, I have created a
meta-issue here:
Issue 105642 - Re-design and UI improvements for color palettes

The purpose of the new issue is for management only, it does not duplicate
specific design requests (that we wish to capture).

Many thanks,
Andrew
Comment 6 bettina.haberer 2010-05-21 14:49:01 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".